#ifndef FCANIM_STRUCT_h
#define FCANIM_STRUCT_h


//! Struct FCAnim_struct
/*!
    Struktur, welche die Daten der Animation speichert.
*/
struct FCAnim_struct
{
	float focPoint [3];
	int dimension [3];
	float center [3];
	float radius;
	float transfC;
	float ksc;
	float kss;
	float kse;
	float redOffset;
	float redFactor;
	int xRot;
	bool xClockwise;
	int yRot;
	bool yClockwise;
	int zRot;
	bool zClockwise;
	float zoom;
	int samples;
};

#endif