#include <stdlib.h>
#include <stdio.h>
#include <qcolor.h>

#include "GOWriter.h"



GOWriter::GOWriter (QString file)
{
    filename = file;
}


GOWriter::~GOWriter ()
{
}


bool GOWriter::write (vtkPiecewiseFunction *pwFunc)
{
    int length, i;
    length = pwFunc->GetSize();
    if (length > 0)
    {
		QString header = QString::number (length) + "\n";
		FILE *file;
	
		file = fopen (filename, "wt+");
		if (file == NULL)
		{
			return false;
		}

		float *data = pwFunc->GetDataPointer();
	
		fputs (header, file);
	
		for (i = 0; i < length; i++)
		{
			QString line = QString::number(data[2*i]) + "%" + QString::number(data[2*i+1]) + "%\n";
			fputs (line, file);
		}
	
		fclose (file);
    }
    return true;
}
