#ifndef TFWRITER_H
#define TFWRITER_H

#include <qstring.h>

#include "transferFunction.h"


//! Class TFWriter
/*!
    Diese Klasse schreibt die Punkte der Transfer Function in eine Datei.
*/
class TFWriter
{
  public:
	//! Konstruktor
	/*!
		Setzt den Dateinamen und initialisiert Variablen.
	*/
    TFWriter (QString file);
	//! Destruktor
    ~TFWriter ();
	//! Methode write
	/*!
		Schreibt die Transfer Function in eine Datei.
	*/
    bool write (transferFunction *transFunc);
    
  private:
    QString makeString (transfer_element element);
    QString filename;
};

#endif
