// MLDirectionEditorImpl.h: Schnittstelle fr die Klasse MLDirectionEditorImpl.
//
//////////////////////////////////////////////////////////////////////

#ifndef MLDIRECTIONEDITORIMPL_H
#define MLDIRECTIONEDITORIMPL_H


#include "MLDirectionEditor.h"


//! Class MLDirectionEditorImpl
/*!
    MLDirectionEditorImpl ist abgeleitet von MLDirectionEditor. Hier werden die Funktion
	des Dialogfensters ausprogrmmiert.
*/
class MLDirectionEditorImpl : public MLDirectionEditor  
{
	Q_OBJECT;

public:
	MLDirectionEditorImpl(QWidget *parent, const char *name, int side, int upright);
	virtual ~MLDirectionEditorImpl();

	int getSideDirection();
	int getUprightDirection();
	bool getExitStatus();

public slots:
	void MLOkayButtonClicked();

private:
	int sideDir, uprightDir;
	bool exitStatus;
};

#endif // !defined(AFX_MLDIRECTIONEDITORIMPL_H__BDDFF634_A6B7_40B4_9012_340CBF1AD5B6__INCLUDED_)
