
#include <qwidget.h>

#include "ViewWidgetImpl.h"


//! Class dofMainWindow
/*!
    Hauptfensterklasse; Definiert Men&uuml;eintr&auml;ge und setzt das MainWidget in das
	Hauptfenster.
*/
class dofMainWindow : public QWidget
{
	Q_OBJECT

public:
	//! Konstruktor
	/*!
		Definiert das Parent Widget und gibt dem Widget einen Namen.
	*/
	dofMainWindow (QWidget* parent = 0, const char* name = 0, WFlags f = WType_TopLevel);
	//! Destruktor
	~dofMainWindow ();

private:
    viewWidgetImpl *viewWidget;

};

